petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatDestroySeqNonzeroStructure

Destroys matrix obtained with MatGetSeqNonzeroStructure().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDestroySeqNonzeroStructure(Mat *mat)

Collective on Mat Many br

### Input Parameters

mat -the matrix (note that this is a pointer to the array of matrices, just to match the calling Many brsequence of MatGetSequentialNonzeroStructure()) Many br

Many br

Notes: Frees not only the matrices, but also the array that contains the matrices Many br

### See Also

MatGetSeqNonzeroStructure()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages